function point = DomainCurves(s, x,kappa)
	n = length(x);
	if strcmp(s, 'b')
		point = [x; -kappa*sin(pi*x)];
	elseif strcmp(s, 't')
		point = [x; 1+kappa*sin(pi*x)];
	elseif strcmp(s, 'l')
		point = [-kappa*sin(pi*x); x];
	elseif strcmp(s, 'r')
		point = [1+kappa*sin(pi*x); x];
	end

end
%{
	% Sinus p nederste kant
	n = length(x);
	if strcmp(s, 'b')
		point = [x;kappa*sin(2*pi*x)];
	elseif strcmp(s, 't')
		point = [x; ones(1,n)];
	elseif strcmp(s, 'l')
		point = [zeros(1,n);x];
	elseif strcmp(s, 'r')
		point = [ones(1,n);x];
	end
%}

%{
	% Firklver
	if strcmp(s, 'b')
		point = [x; -kappa*sin(pi*x)];
	elseif strcmp(s, 't')
		point = [x; 1+kappa*sin(pi*x)];
	elseif strcmp(s, 'l')
		point = [-kappa*sin(pi*x); x];
	elseif strcmp(s, 'r')
		point = [1+kappa*sin(pi*x); x];
	end
%}

%{

	%Jigsaw
	knt1 = [0 0 0 1 2 3 4 5 6 7 8 8 8]/8;
	knt2 = knt1;
	p1x=[0,3,4,3,4,6,7,6,7,10];
	p1y=[0,0,1,1.5,3,3,1.5,1,0,0];

	p2x = p1x;
	p2y = 10-p1y;

	q1x=-p1y; q1y=p1x;
	q2x = 10-q1x;
	q2y = q1y;

	sp{1}=spmak(knt1,[p1x;p1y]);
	sp{2}=spmak(knt1,[p2x;p2y]);
	sp{3}=spmak(knt2,[q1x;q1y]);
	sp{4}=spmak(knt2,[q2x;q2y]);

	if strcmp(s, 'b')
		point = fnval(sp{1}, x); 
	elseif strcmp(s, 't')
		point = fnval(sp{2}, x); 
	elseif strcmp(s, 'l')
		point = fnval(sp{3}, x); 
	elseif strcmp(s, 'r')
		point = fnval(sp{4}, x); 
	end
%}
