function [KnotVec, controlPts] = KnotInsertion(t,tau,p, controlPts_Original,n)

controlPts = [];
m = length(t) - (p+1);

counter = [1:p+1];
for j = 1:n
	b = [];
	c = controlPts_Original(counter,:);
	for i = 1:m
		mu = FindMu(tau, t(i));
		cp = c(mu-p:mu,:);
		if p == 0
			b(i,:) = cp(mu);
		else
			b(i,:) = getB(t(i+1:i+p), mu, tau, p) * cp;
		end
	end
	controlPts = [controlPts; b]; 
	counter = counter + p + 1;
end
	
	KnotVec = t; 
end

% startPt = 0; endPt = 1;
% controlPts = [];
% m = length(t) - (p+1);
% 
% counter = [1:p+1];
% for j = 1:n
% 	b = [];
% 	c = controlPts_Original(counter,:);
% 	for i = 1:m
% 		mu = FindMu(tau, t(i));
% 		cp = c(mu-p:mu,:);
% 		if p == 0
% 			b(i,:) = cp(mu);
% 		else
% 			b(i,:) = getB(t(i+1:i+p), mu, tau, p) * cp;
% 		end
% 	end
% 	controlPts = [controlPts; b]; 
% 	counter = counter + p + 1;
% end
% 	
% KnotVec = t;
%
%end