function [KnotVec, controlPts] = OrderElevationXiEta(KnotVecOriginal, p, controlPtsOriginal, elevation)
	
% Order elevation of knot vector
	uniqueKnots = unique(KnotVecOriginal);
	KnotVec = KnotVecOriginal;
	for i = 1:elevation
		KnotVec = [KnotVec uniqueKnots];
	end
	KnotVec = sort(KnotVec); 
	
	% Finding approriate control points
	[N_p, N_pe] = evaluateGreville(KnotVecOriginal,KnotVec,p,p+elevation);%,0,1);
	
		
	h = length(controlPtsOriginal);
	teller = [1:p+elevation+1];
	controlPts = [];
	for i = 1:2:4%2*n
		controlPts(teller,:) = N_pe\N_p*controlPtsOriginal(i:i+p,:);
		teller = teller + p + elevation + 1;
	end
	
% 	cpts = [];
% 	teller=1;
% 	h = length(controlPts)/2;
% 	for i = 1:h
% 		cpts(teller,:) = controlPts(i,:);
% 		cpts(teller+1,:) = controlPts(i+h,:);
% 		teller = teller + 2;
% 	end
% 	controlPts = cpts;
% 		
% 	teller = [1:p+elevation+1];
% 	k = 1; 
% 	controlPts = [];
% 	for i = 1:length(cpts)/2;
% 		controlPts(teller,:) = N_pe\N_p*cpts(k:k+p,:);
% 		teller = teller + p + elevation + 1;
% 		k = k+p+1; 
% 	end
% 	

end