%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% MAIN %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%% Pre-Processing %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
addpath ../SharedFunctions/

% Initialization
kappa = 0.5;
%geometry = 'clover';
%geometry = 'jigsaw';
geometry = 'sine';

GetGeometry

GenerateMesh

%%%%%%%%%%%%%%%%%%%%%%%%% Processing %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


AssembleSystem

BoundaryConditionApplication

U = A\f;

%%%%%%%%%%%%%%%%%%%%%%%%% Post-Processing %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Ux = U(1:NoCtrlPts);
Uy = U(NoCtrlPts+1:end);

postProcessing

plotting

JacobianTest

if min(min(J)) < 0
	disp('Negativ Jacobian!!!')
	RMS = [0 0 0];
	MM = [0 0 0];
else
	Metrics
end