%JigsawInitialization

knots1 = [0 0 0 1 2 3 4 5 6 7 8 8 8]/8;  
knots2 = knots1;

p2x = p1x;		p2y = 10-p1y;
q1x = -p1y;		q1y = p1x;
q2x = 10-q1x;	q2y = q1y;

sp{1} = spmak(knots1,[p1x;p1y]);
sp{2} = spmak(knots1,[p2x;p2y]);
sp{3} = spmak(knots2,[q1x;q1y]);
sp{4} = spmak(knots2,[q2x;q2y]);

BottomBoundary	= @(tt,y) fnval(sp{1}, tt)';
TopBoundary		= @(tt,y) fnval(sp{2}, tt)';
LeftBoundary	= @(x,tt) fnval(sp{3}, tt)';
RightBoundary	= @(x,tt) fnval(sp{4}, tt)';