if strcmp(geometry, 'sine')
	akser = [0 1 -0.5 1];
elseif strcmp(geometry, 'clover')
	akser = [-0.5 1.5 -0.5 1.5];
elseif strcmp(geometry,'jigsaw')
	akser = [-3 13 0 10];
end

figure;
hold on
plot(ux, uy, 'Color', [0, 0.447, 0.741]);
plot(ux',uy','Color', [0, 0.447, 0.741]);
plot(ux(:,1), uy(:,1),		'Color', [0.8500 0.3250 0.0980]);
plot(ux(:,end), uy(:,end),	'Color', [0.8500 0.3250 0.0980]);
plot(ux(1,:), uy(1,:),		'Color', [0.8500 0.3250 0.0980]);
plot(ux(end,:), uy(end,:),	'Color', [0.8500 0.3250 0.0980]);
axis equal
axis(akser);
xlabel('x');
ylabel('y');

figure;
Max = max(max(J));
Min = min(min(J));
surf(ux,uy,J,'EdgeColor', 'None', 'facecolor', 'interp');
colorbar;
view(2);
title('Jacobian')
hold on
plot(ux(:,1), uy(:,1),		'Color', [0.8500 0.3250 0.0980]);
plot(ux(:,end), uy(:,end),	'Color', [0.8500 0.3250 0.0980]);
plot(ux(1,:), uy(1,:),		'Color', [0.8500 0.3250 0.0980]);
plot(ux(end,:), uy(end,:),	'Color', [0.8500 0.3250 0.0980]);
grid off
axis equal
axis(akser);
xlabel('x');
ylabel('y');