function pts = ControlPoints(p, startPt, endPt, t)

	one = ones(1, p+1);
	zer = zeros(1,p+1);
	tau = [zer one];

	c = linspace(startPt, endPt, p+1);
	m = length(t) - (p+1);

	b = [];

	for i = 1:m
		mu = FindMu(tau, t(i));
		cp = c(mu-p:mu);
		if p == 0
			b(i) = cp(mu);
		else
			b(i) = getB(t(i+1:i+p), mu, tau, p) * cp';
		end
	end
	pts = b; 
end