function [KnotVec, controlPts] = OrderElevation(KnotVecOriginal, p, controlPtsOriginal, elevation,n)

	% Order elevation of knot vector
	uniqueKnots = unique(KnotVecOriginal);
	KnotVec = KnotVecOriginal;
	for i = 1:elevation
		KnotVec = [KnotVec uniqueKnots];
	end
	KnotVec = sort(KnotVec); 
	
	% Finding approriate control points
	[N_p, N_pe] = evaluateGreville(KnotVecOriginal,KnotVec,p,p+elevation);%,0,1);
	
	h = length(controlPtsOriginal);
	teller = [1:p+elevation+1];
	controlPts = [];
	controlPtsOriginal;
	for i = 1:2:2*n
		controlPts(teller,:) = N_pe\N_p*controlPtsOriginal(i:i+p,:);
		teller = teller + p + elevation + 1;
	end
end