function [x, y] = Jigsaw_Boundary_kappa(i,n,kappa)

x_0 = linspace(0,10,10);
y_0 = zeros(1,10);

x_m = [0 2 3	4 4.5	5.5 6	7	8 10];
y_m = kappa*[0 0 1.5 2.5 3	3	2.5 1.5 0 0 ];

x_n = [0 3	4	3	4	6	7	6	7	10];
y_n = kappa*[0 0	1	1.5	3	3	1.5	1	0	0];


dm_x = kappa*(x_m - x_0);
dm_y = kappa*(y_m - y_0);

dn_x = kappa*(x_n - x_m);
dn_y = kappa*(y_n - y_m);

if i <= n/2
	x = x_0 + (i/(n/2))*dm_x;
	y = y_0 + (i/(n/2))*dm_y;
else
	x = x_m + ((i-(n/2))/(n/2))*dn_x;
	y = y_m + ((i-(n/2))/(n/2))*dn_y;
end


end