%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% MAIN %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%% Pre-Processing %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

addpath ../SharedFunctions/

% Initialization
GetGeometry

GenerateMesh

%%%%%%%%%%%%%%%%%%%%%%%%% Processing %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


AssembleSystem

BoundaryConditionApplication

U = A\f;

%%%%%%%%%%%%%%%%%%%%%%%%% Post-Processing %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Ux = U(1:NoCtrlPts);
Uy = U(NoCtrlPts+1:end);

postProcessing

JacobianTest