AssembleSystem

Fix = [bottomNodes leftNodes rightNodes topNodes];
FixedNodes = unique(Fix);
	for i = length(Bx):-1:1;
		if not(ismember(i,FixedNodes))
			C(i,:) = [];
			C(:,i) = [];
			Bx(i)  = [];
			By(i)  = [];
		end %if
	end %if
	
Fixedx = (C\Bx);
Fixedy = (C\By);
	
FixedNodesX = FixedNodes;
FixedNodesY = FixedNodes + NoCtrlPts; 
 
f = f - A(:,FixedNodesX)*Fixedx;  % modify the  force vector
f = f - A(:,FixedNodesY)*Fixedy;
f(FixedNodesX) = Fixedx';
f(FixedNodesY) = Fixedy';
A(FixedNodesX,:) = 0;  % zero out the rows and  columns of the K matrix
A(FixedNodesY,:) = 0;
A(:,FixedNodesX) = 0;
A(:,FixedNodesY) = 0;

for i = 1:length(FixedNodesX)
	A(FixedNodesX(i), FixedNodesX(i)) = 1;
	A(FixedNodesX(i)+NoCtrlPts, FixedNodesX(i)+NoCtrlPts) = 1;
end


U = A\f;


Ux = U(1:NoCtrlPts);
Uy = U(NoCtrlPts+1:end);

postProcessing

JacobianTest