addpath ../SharedFunctions/
geometry = 'sine';
kappa = 0.5;
boundaryInitialization

BottomBoundary	= @(x,y) [x, (y-y)];
TopBoundary		= @(x,y) [x, 1+(y-y)];
LeftBoundary	= @(x,y) [(x-x), y];
RightBoundary	= @(x,y) [1+(x-x), y];
Main;

iterations = 15;

r = 0.0;
for i = 1:iterations
	controlPts = [Ux'; Uy']';
	BottomBoundary	= @(x,y) [x, r*sin(2*pi*x)];
	Main
	r = r + kappa/iterations;
end

QuasiPlot

if min(min(J)) < 0
    disp('Negativ Jacobian')
    MM = [0 0 0 0 0];
    RMS = [0 0 0 0 0];
else
    Metrics
end