function mu = FindMu(KnotVec, x)
    % mu = the value for which xi_mu <= x < xi_(mu+1)
    
	if abs(x - KnotVec(end)) < eps
        x = KnotVec(end) - eps;
    end
	
    M = length(KnotVec);
    for i = 1:M-1
        if KnotVec(i) <= x && KnotVec(i+1) > x
            mu = i;
        end %if
    end %i
    
end