function [N,dN] = PlotBasis(t, p, nviz)
    % t = open knot vector
    % p = order
    % nviz = number of visualization points
    
    a = t(1);
    b = t(end);
    x = linspace(a,b-eps,nviz);
	
	
    for i = 1:(length(x))
        mu = FindMu(t,x(i));
		[temp, dtemp] = GetBasisAndDerivatives1D(t,p,x(i));
		N(i, mu-p:mu) = temp;
		dN(i,mu-p:mu) = dtemp;
	end
	
end