%%% Problem spesifications

func	= @(x,y) 0;

startX = 0; endX = 1;
startY = 0; endY = 1;

% Spline initialization
n = 20;
KnotVecX = linspace(0,1,n+1);
KnotVecX = [0 0 KnotVecX 1 1];
p = 2;
KnotVecY = KnotVecX;
q = p; 

NoPtsX      = FindMu(KnotVecX, KnotVecX(end));
NoPtsY      = FindMu(KnotVecY, KnotVecY(end));
NoGaussPts	= max(p,q) + 1;
NoCtrlPts	= NoPtsX * NoPtsY; 

GetControlPts

% Visualization specification
NoPx = p+1;
NoPy = q+1;
uniqueX     = unique(KnotVecX);
uniqueY     = unique(KnotVecY);
NoElemX     = length(uniqueX) - 1;
NoElemY     = length(uniqueY) - 1;
nviz = NoPx*NoElemX;
mviz = NoPy*NoElemY;